Bug 124677 - install-sid in databases/gnats4 port uses bash syntax
Summary: install-sid in databases/gnats4 port uses bash syntax
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vasil Dimov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-17 16:50 UTC by Callum Gibson
Modified: 2008-07-22 10:40 UTC (History)
0 users

See Also:


Attachments
patch-send-pr::install-sid.sh (322 bytes, application/x-sh)
2008-06-18 01:54 UTC, Callum Gibson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Callum Gibson 2008-06-17 16:50:01 UTC
The install-sid script of the databases/gnats4 port is a /bin/sh script but uses a syntax
which is present only in ksh or bash. This results in the error:

/usr/local/bin/install-sid: 30: Syntax error: "(" unexpected

Fix: 

Delete the word "function" from line 30 of the script. (patch to follow)
How-To-Repeat: Run install-sid and note syntax error when run.
Comment 1 Edwin Groothuis freebsd_committer 2008-06-17 23:00:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Callum Gibson 2008-06-18 01:54:31 UTC
Here is the patch.

-- 

Callum Gibson @ home
http://members.optusnet.com.au/callumgibson/
Comment 3 Vasil Dimov freebsd_committer 2008-07-22 10:30:36 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2008-07-22 10:38:41 UTC
vd          2008-07-22 09:38:25 UTC

  FreeBSD ports repository

  Modified files:
    databases/gnats4     Makefile 
  Added files:
    databases/gnats4/files patch-send-pr_install-sid.sh 
  Log:
  databases/gnats4: use sh-compatible syntax in install-sid.sh
  
  PR:             ports/124677
  Submitted by:   Callum Gibson <callumgibson@optusnet.com.au>
  
  Revision  Changes    Path
  1.12      +1 -0      ports/databases/gnats4/Makefile
  1.1       +11 -0     ports/databases/gnats4/files/patch-send-pr_install-sid.sh (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"